/**************************************************************************//**
 * @file     main.h
 * @brief    Ctring DVR Firmware Header File
 * @version  V1.00
 * @date     30. November 2011
 *
 * @note
 * Copyright (C) 2011 CTRING Limited. All rights reserved.
 *
 * @par
 *
 * @par
 *
 ******************************************************************************/

#ifndef __MAIN_H__
#define __MAIN_H__

/* Standard Include */
#include <stdio.h>

/* M3 Cortex Include */
#include "stm32f10x.h"

/* Scheduler Include */
#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"      
#include "semphr.h"     

/* Scheduler Definitions ---------------------------------------------------------*/
#define mainCREATOR_TASK_PRIORITY                       ( tskIDLE_PRIORITY + 3 )

/* Private variables ---------------------------------------------------------*/
static __IO uint32_t TimingDelay;

void AppUARTInit();
void AppGPIOInit();

void Delay(uint32_t nTime);
void SYSTickInit();
void TimingDelay_Decrement();

size_t __write(int handle, const unsigned char *buf, size_t bufSize);
#endif